Listar ajustes de la cuenta
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/adjustments \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/adjustments"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"adjustment_type": "debit",
"recurrence_type": "fixed_cycles",
"amount": 123,
"concept": "<string>",
"start_period": "2023-12-25",
"end_period": "2023-12-25",
"lifecycle_status": "pending_application",
"locked_for_editing": true,
"can_cancel_future_applications": true,
"editable_forward": true,
"total_cycles": 123,
"cycles_applied": 123,
"active": true,
"remaining_cycles": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"name": "<string>"
},
"status": "<string>",
"release_status": "pending_evidence",
"requires_evidence": true,
"adjustment_concept_id": 123,
"product_id": 123,
"product_snapshot": {},
"product_base_amount": 123,
"vat_rate": 123,
"subscription_id": 123,
"currency": "<string>",
"property": {
"id": 123,
"address": "<string>"
}
}
],
"counts": {
"pending_application": 123,
"pending_evidence": 123,
"unclassified": 123,
"partially_applied": 123,
"applied": 123,
"cancelled": 123,
"all": 123
},
"meta": {
"total_count": 123,
"total_pages": 123,
"current_page": 123
}
}Treasury Adjustments
Listar ajustes de la cuenta
Todos los ajustes de la cuenta, en todas las suscripciones: filtros, orden, página y el conteo por estado.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
adjustments
Listar ajustes de la cuenta
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/adjustments \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/adjustments"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"adjustment_type": "debit",
"recurrence_type": "fixed_cycles",
"amount": 123,
"concept": "<string>",
"start_period": "2023-12-25",
"end_period": "2023-12-25",
"lifecycle_status": "pending_application",
"locked_for_editing": true,
"can_cancel_future_applications": true,
"editable_forward": true,
"total_cycles": 123,
"cycles_applied": 123,
"active": true,
"remaining_cycles": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"name": "<string>"
},
"status": "<string>",
"release_status": "pending_evidence",
"requires_evidence": true,
"adjustment_concept_id": 123,
"product_id": 123,
"product_snapshot": {},
"product_base_amount": 123,
"vat_rate": 123,
"subscription_id": 123,
"currency": "<string>",
"property": {
"id": 123,
"address": "<string>"
}
}
],
"counts": {
"pending_application": 123,
"pending_evidence": 123,
"unclassified": 123,
"partially_applied": 123,
"applied": 123,
"cancelled": 123,
"all": 123
},
"meta": {
"total_count": 123,
"total_pages": 123,
"current_page": 123
}
}Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Available options:
all, pending_application, pending_evidence, unclassified, partially_applied, applied, cancelled Available options:
debit, credit Available options:
pending_evidence, released, void Search text
caused_on, amount, concept or id, optionally with an _asc or _desc suffix
Available options:
asc, desc Required range:
1 <= x <= 100Was this page helpful?